/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package workers;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class  WorkerTest {
    Accountant ac = new Accountant("Andrey", "Accountant", 35000);
    Accountant ac2 = new Accountant("Дмитрий", "Accountant", 32000);
    Worker worker = new Worker();
    @Test void name() {
        assertEquals("Andrey", ac.getName(), "work correct");
    }

    @Test void position() {
        assertEquals("Accountant", ac.getPosition(), "work correct");
    }

    @Test void salary() {
        assertEquals(35000, ac.getSalary(), "work correct");
    }

    @Test void charmetodTest() {
        assertEquals("I love my job!", ac.accountant(), "work correct");
    }

    @Test void equals() {
        assertEquals(false, ac.equals(ac2), "work correct");
    }

    @Test void hashCode() {
        assertNotEquals(ac2.hashCode(), ac.hashCode(), "work correct");
    }

}
